メインコンテンツへスキップ
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth-chart
ウォレット - 純資産チャート
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-chart \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-chart"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-chart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "currentTimestamp": "2025-07-31T23:59:59.000Z",
  "history": [
    {
      "netWorth": "13210463.21",
      "netWorthChange": "1971274.94",
      "netWorthChangePercent": "17.54",
      "timestamp": "2025-07-30T23:59:59.000Z"
    }
  ],
  "pastTimestamp": "2025-07-01T23:59:59.000Z",
  "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名 Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc
walletAddress
string
必須

ウォレットのアドレス

クエリパラメータ

hours
integer<int32>
デフォルト:24

期間(時間、1-720、デフォルト 24)

レスポンス

200 - application/json

成功レスポンス

Wallet net-worth chart response with pagination.

currentTimestamp
string
必須

現在のサーバータイムスタンプ

:

"2025-07-31T23:59:59.000Z"

history
object[]
必須

過去の純資産データポイントリスト

pastTimestamp
string
必須

チャート期間の開始タイムスタンプ

:

"2025-07-01T23:59:59.000Z"

walletAddress
string
必須

ウォレットアドレス

:

"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"